<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>设置全局滚动条高度</title>
    <style>
        html{
            height: 1000px;
        }
        .wrap{
            height: 100px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="wrap">
        全局滚动条高度：
        <button id="btn">点击</button>
        <button id="btn1">点击1</button>

        <button id="btn2">点击2</button>
        <button id="btn3">点击3</button>

        <button id="btn4">点击4</button>
    </div>
</body>
<script>
    window.onload=function(){
        var btn=document.getElementById('btn');
        btn.addEventListener('click',function(e){
            window.scrollTo(0, 100);
        })

        var btn1=document.getElementById('btn1');
        btn1.addEventListener('click',function(e){
            window.scrollTo({
                let:0,
                top:500
            });
        })

        /*利用相对滚动设置*/
        var btn2=document.getElementById('btn2');
        btn2.addEventListener('click',function(e){
            window.scrollBy(0, 100);
        })

        var btn3=document.getElementById('btn3');
        btn3.addEventListener('click',function(e){
            window.scrollBy({
                let:0,
                top:500
            });
        })

        /*利用scrollTop设置*/
        var btn4=document.getElementById('btn4');
        btn4.addEventListener('click',function(e){
            document.scrollingElement.scrollTop = 100;
        })
    }
</script>
</html>